
Redmine - Defect #35005

RuntimeError "Couldn't find Active Storage configuration" is raised at startup

2021-04-02 10:09 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Trying to run Redmine in production mode results in the error "Couldn't find Active Storage configuration in

/path/to/redmine/config/storage.yml (RuntimeError)"

$ bin/rails s -e production

=> Booting Puma

=> Rails 6.1.3.1 application starting in production 

=> Run `bin/rails server --help` for more startup options

Exiting

Traceback (most recent call last):

.

.

.

(snip)

.

.

.

/path/to/gems/ruby/2.7.0/gems/activestorage-6.1.3.1/lib/active_storage/engine.rb:121:in `block (2 

levels) in <class:Engine>': Couldn't find Active Storage configuration in /path/to/redmine/config/

storage.yml (RuntimeError)

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Has duplicate Redmine - Defect #35010: redmine failed to start after updating... Closed

Associated revisions

Revision 20906 - 2021-04-03 03:06 - Go MAEDA

RuntimeError "Couldn't find Active Storage configuration" is raised at startup (#29914, #35005).

History

#1 - 2021-04-02 10:14 - Go MAEDA

- Target version set to 5.0.0

We can fix this by making the following change. Redmine currently does not use active_storage, so commenting out this line is no harm at all.

diff --git a/config/application.rb b/config/application.rb

index 89d4fc1ca..dc8d5f89d 100644

--- a/config/application.rb

+++ b/config/application.rb

@@ -7,7 +7,7 @@ require 'rails'

 require 'active_model/railtie'

 require 'active_job/railtie'

 require 'active_record/railtie'

-require 'active_storage/engine'

+# require 'active_storage/engine'

 require 'action_controller/railtie'

 require 'action_mailer/railtie'

 require 'action_view/railtie'

#2 - 2021-04-02 10:14 - Go MAEDA
- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#3 - 2021-04-02 22:15 - Marius BĂLTEANU

- Has duplicate Defect #35010: redmine failed to start after updating to r20905 added

#4 - 2021-04-02 22:17 - Marius BĂLTEANU

Looks good to me.

#5 - 2021-04-03 03:07 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version deleted (5.0.0)

- Resolution set to Fixed

Committed the fix as a part of #29914.
